Loading...
Searching...
No Matches
gx_system::JsonExceptionEOF Class Reference

`#include <gx_json.h>`

Inheritance diagram for gx_system::JsonExceptionEOF:

## Public Member Functions

| JsonExceptionEOF (const char *desc)
| ~JsonExceptionEOF () throw ()
Public Member Functions inherited from gx_system::JsonException
| JsonException (const Glib::ustring &desc)
| ~JsonException () throw ()
virtual const char * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from gx_system::JsonException
Glib::ustring | what_str

## Detailed Description

Definition at line 49 of file gx_json.h.

## Constructor & Destructor Documentation

## JsonExceptionEOF()

gx_system::JsonExceptionEOF::JsonExceptionEOF | ( | const char * | desc | ) |

inline

Definition at line 51 of file gx_json.h.

## ~JsonExceptionEOF()

gx_system::JsonExceptionEOF::~JsonExceptionEOF | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 52 of file gx_json.h.

The documentation for this class was generated from the following file:

- src/headers/gx_json.h